<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #	
#-----------------------------------------------------#
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101){
	
echo'<img src="../images/img/partners.gif" alt=""> <b>Импорт файлов</b><br><br>';


//---------------------------------------- ИМПОРТ ФАЙЛОВ -------------------------------------------//
if($action=="go"){ 
$url=trim($url);
$to=check($to);

list($patch) = explode("/", $to); 
$forfile=strrchr($to, ".");

$import = str_replace($to,'../'.$to,$to);
$files = file($import); 

if($patch!="local" && $patch!="." && $patch!=".."){
if ($forfile!=".php" && $forfile!=".phtml"){
if (!$files){
if (ereg ("^http://",$url)){
if(copy($url,$import)) {
	
$newfiles = file($import); 
if ($newfiles!=""){
echo 'Импорт прошел успешно, файл сохранен как '.check($to).'<br>';
echo 'Точный адрес этого файла сейчас <a href="'.$config_home.'/'.check($to).'">'.$config_home.'/'.check($to).'</a><br>';

$siz= filesize($import);
echo 'Размер загруженного файла: '.formatsize($siz).'<br>';

}else{ echo 'Не удалось сохранить файл, возможна директория недоступна для записи';}
}else{ echo 'Импорт файлов не удался! Возможно введен неправильный адрес<br>';}
}else{ echo 'Адрес файла введен не верно!<br>';}
}else{ echo 'Ошибка, файл с таким именем уже существует, пожалуйста придумайте другое название или сохраните файл в другую директорию';}
}else{ echo 'Сохранять файл с данным расширением запрешено!<br>';}
}else{ echo 'Сохранять в данную директорию запрещено, пожалуйста выберите другую директорию<br>';}
echo '<br><img src="../images/img/back.gif" alt=""> <a href="import.php?'.SID.'">Вернуться</a>';}


//---------------------------------------- ГЛАВНАЯ СТРАНИЦА -------------------------------------------//
if(!isset($action)){
if($config_themes!="wml"){	
echo '<form action="import.php?action=go&amp;'.SID.'" method="post">';
echo 'Введите URL:<br><input type="text" name="url" value="http://"><br>';
echo 'Сохранить как:<br><input type="text" name="to" value=""><br>';
echo '<input type="submit" value="Импортировать"></form><hr><br>';
}else{

echo'Введите URL:<br>';
echo'<input name="url" value="http://"/><br>';
echo'Сохранить как:<br>';
echo'<input name="to" value=""/><br>';
echo'<anchor>Импортировать';
echo'<go href="import.php?action=go&amp;'.SID.'" method="post">';

echo'<postfield name="url" value="$(url)"/>';
echo'<postfield name="to" value="$(to)"/>';
echo'</go></anchor><br>--------------------<br><br>';
}


echo 'Данный сервис позволяет вам импортировать практически любые файлы с чужих сайтов, главное знать его точный адрес, это могут быть как архивы zip или картинки, так и файлы с расширением php (при импорте сохраняется только то, что выдает интерпретатор)<br>';
echo 'Например нам нужно импротировать Новую версию движка c cайта VISAVI.NET , мы должны ввести его точный адрес в первое поле http://visavi.net/download/wap-motor16/MOTOR16_beta.zip<br>';
echo 'Во второе поле мы пишем куда и как его нужно сохранить - мы вводим papka/my_archive.zip , то есть архив импортируется по адресу '.$config_home.'/papka/my_archive.zip<br>';
echo 'Если нам нужно сохранит его еще выше по категории мы вводим papka/podpapka/my_archive.zip ,  аналогично можно сохранять и в корневую сайта просто вводим my_archive.zip<br>';
echo 'Важным условием для импорта является то, что на директории в которую вы сохраняете файл должны стоять соответствующие атрибуты СHMOD - 777, иначе скрипт не сможет завершить импорт<br>';
}

//-------------------------------- КОНЦОВКА ----------------------------------//
echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>